Subject: Re: EEPRO100 Power Management problem?
From: Scott Robinson <[email-masked]>
To: Andrey Savochkin <[email-masked]>
Date: Wed, 17 Jan 2001 17:39:08 -0800

Well, it appears *something* like that is happening. However, I can't think
of how to fix it. Everything goes "disabled".

Attached are the two 'lspci -v' executed pre and post-suspend. Also attached
is a diff file between them. If you have any further ideas, please e-mail me
back?

Scott.

* Andrey Savochkin translated into ASCII [Tue, Jan 16, 2001 at 05:19:16PM +0800][<[email-masked]>]
> Hello,
> 
> On Fri, Jan 05, 2001 at 03:18:23PM -0800, Scott Robinson wrote:
> > The following occurs when I suspend my Dell Inspiron 8000 with an internal
> > MiniPCI Actiontec MP100IM. I'm using 2.4.0-final with power-management
> > turned on and off. The logs below are with power-management turned on.
> > 
> > I checked with a eepro100 diagnostic tool, and according to it, the entire
> > EEPROM has been FF'ed out. (and it's larger than before)
> > 
> > I have tried unloading the driver before suspend. No dice. Is there a
> > hard-reset command for a card?
> > 
> > I was looking at the source code and maybe if I suspend the pci card in
> > _suspend()? I'm not certain what power state I need to tell it, though. D3?
> > 
> > When I power-cycle the machine, I end up having to hard-reset otherwise I
> > freeze in the bios startup. Something seriously harsh is happening.
> 
> The first idea that comes to mind is an old issue of cleared PCI
> configuration on sleep.
> Run `lspci -v' after wakeup and compare how the output look with how it did
> before the sleep.
> 
> Best regards
> 					Andrey V.
> 					Savochkin
> 

-- 
jabber:[email-masked]         - Universal ID (www.jabber.org)
http://dsn.itgo.com/           - Personal webpage
robhome.dyndns.org             - Home firewall

-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GAT dpu s+: a--- C++ UL++++ P+ L+++ E- W+ N+ o+ K++ w++
O M V PS+ PE Y+ PGP++ t++ 5++ X+ R tv b++++ DI++++ D++
G+ e+ h! r-- y-
------END GEEK CODE BLOCK------
54d53
< 	Memory behind bridge: f8000000-f9ffffff
85,88c84,87
< 	Flags: bus master, medium devsel, latency 32, IRQ 11
< 	Memory at f8fff000 (32-bit, non-prefetchable) [size=4K]
< 	I/O ports at ecc0 [size=64]
< 	Memory at f8e00000 (32-bit, non-prefetchable) [size=1M]
---
> 	Flags: medium devsel, IRQ 11
> 	[virtual] Memory at f8fff000 (32-bit, non-prefetchable) [disabled] [size=4K]
> 	I/O ports at ecc0 [disabled] [size=64]
> 	[virtual] Memory at f8e00000 (32-bit, non-prefetchable) [disabled] [size=1M]
93,96c92,95
< 	Flags: bus master, medium devsel, latency 0, IRQ 11
< 	Memory at f8ffec00 (32-bit, non-prefetchable) [size=256]
< 	I/O ports at ecb8 [size=8]
< 	I/O ports at e800 [size=256]
---
> 	Flags: medium devsel, IRQ 11
> 	[virtual] Memory at f8ffec00 (32-bit, non-prefetchable) [disabled] [size=256]
> 	I/O ports at ecb8 [disabled] [size=8]
> 	I/O ports at e800 [disabled] [size=256]